
%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}


Summary: The Yubico yubikey-manager-qt tool is used for interacting graphically with the a YubiKey
Name: yubikey-manager-qt
Version: 1.2.5
Release: %mkrel 1
License: GPL
Group: Yubikey
URL: https://developers.yubico.com/yubikey-manager-qt/Releases/yubikey-manager-qt-latest-linux.AppImage
Source1:  %{name}.desktop
Source2: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no
Requires: pcsc-lite
Requires: lib64gio2.0_0

%description
YubiKey Manager is a Qt5 application written in QML that uses the plugin PyOtherSide to enable the back-end logic to be written in Python 3. The python library yubikey-manager is needed to communicate with the YubiKey

The current version can:

* Display the serial number and firmware version of a YubiKey
* Configure a FIDO2 PIN
* Reset the FIDO Applications
* Configure the OTP Application. A YubiKey have two slots (Short Touch and Long Touch), which may both be configured for different functionality.
This tool can configure a https://developers.yubico.com/OTP/[Yubico OTP] credential, a static password, a challenge-response credential or an https://developers.yubico.com/OATH/[OATH] HOTP credential in both of these slots.
* Manage certificates and PINs for the PIV Application
* Swap the credentials between two configured slots
* Enable and disable USB and NFC interfaces

%prep

%build

%install

pushd %{_sourcedir}
wget -nc "https://developers.yubico.com/yubikey-manager-qt/Releases/yubikey-manager-qt-latest-linux.AppImage"
popd

install -Dm 0755 %{_sourcedir}/yubikey-manager-qt-latest-linux.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%clean
rm -rf %buildroot

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''

%changelog
* Thu Jun 15 2023 tex - 1.2.5-1pclos2023
- new version

* Wed Jul 27 2022 tex - 1.2.4b-2pclos2022
- rebuild against updates

* Sat Jul 02 2022 tex - 1.24b-1pclos2022
- create pkg
